Bug 619995 - chardev: opening backend "socket" failed
Summary: chardev: opening backend "socket" failed
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-31 09:19 UTC by simba
Modified: 2011-06-10 17:50 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 17:50:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description simba 2010-07-31 09:19:16 UTC
This error occurs since rev-change from 7 to 8 of libvirt:

internal error Process exited while reading console log output: bind(unix:/var/lib/libvirt/qemu/<domain>.monitor): Permission denied
chardev: opening backend "socket" failed

libvirt-0.8.2-1.fc13.x86_64

2.6.33.6-147.fc13.x86_64 #1 SMP Tue Jul 6 22:32:17 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

When starting 

virsh start <domain>

or starting within virt-manager

version of virt-manager: virt-manager-0.8.4-2.fc13.noarch


How reproducible:


Steps to Reproduce:
1. virsh start <domain>
2.
3.
  
Actual results:

internal error Process exited while reading console log output: bind(unix:/var/lib/libvirt/qemu/<domain>.monitor): Permission denied
chardev: opening backend "socket" failed

Comment 1 Cole Robinson 2010-11-17 23:33:11 UTC
Does this affect all VMs or only one? What is the output of

ls -l /var/lib/libvirt
ls -l /var/lib/libvirt/qemu
virsh dumpxml $vmname (for any affected VM)

Does disabling selinux with setenforce 0 have any effect?

Comment 3 Bug Zapper 2011-06-01 12:25:43 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Cole Robinson 2011-06-10 17:50:54 UTC
Please reopen if this issue can be reproduced on a newer fedora release


Note You need to log in before you can comment on or make changes to this bug.